This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188097 - Glslideshow crashes xscreensaver-demo
Glslideshow crashes xscreensaver-demo
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 20:29 EDT by Scott R. Godin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: xscreensaver-base-4.24-4.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 16:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
backtrace and two core files (1.15 MB, application/x-gzip)
2006-04-05 20:29 EDT, Scott R. Godin
no flags Details
Patch to prevent double free in demo-Gtk.c (380 bytes, patch)
2006-05-11 07:54 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Scott R. Godin 2006-04-05 20:29:43 EDT
Description of problem:
Glslideshow crashes xscreensaver-demo if 'preview' is done more than 2-3 times

Version-Release number of selected component (if applicable):
4.21-4

How reproducible:
every time


Steps to Reproduce:
1. run xscreensaver-demo and select GLSlideshow from the list
2. wait for the preview in the mini-window to appear, and press the Preview 
button. 
3. click on the screen to cancel the preview. lather, rinse, repeat, 2-3 times, 
and xscreensaver-demo will dump core
  
Actual results:
core dump

Expected results:
continued preview of random images

Additional info:

I have two core files, and a gdb backtrace of one of them I will attach
Comment 1 Scott R. Godin 2006-04-05 20:29:44 EDT
Created attachment 127382 [details]
backtrace and two core files
Comment 2 Mamoru TASAKA 2006-05-11 07:54:11 EDT
Created attachment 128879 [details]
Patch to prevent double free in demo-Gtk.c

I don't have FC4 system any more and so I cannot make use of core file.
But by checking xscreensaver-backtrace.txt in the attachment in the
comment 1, it is found that this is a problem of double-free in run_hack()
in demo-Gtk.c

A patch is attached to fix this problem.
Note: this problem is already fixed in version 4.24.
Comment 3 Christian Iseli 2007-01-22 06:59:25 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Scott R. Godin 2007-01-22 16:59:13 EST
fixed as of FC5. sorry I didn't get back to this to test it. thanks for the 
reminder. 

even if I point it at ~/Pictures now, which has some huge files in it, there 
are no coredumps.

Note You need to log in before you can comment on or make changes to this bug.